#include<iostream>
using namespace std;
int main(){
int n,k,d;
cin>>n>>d>>k;
if (k == k){
k * (1 + d) +(d - 1);

 
}
}
#include<iostream>
using namespace std;
int main(){
int n,k,d;
cin>>n>>d>>k;
if (k == k){
k * (1 + d) +(d - 1);

 
}
}
